Subject: Parallel bytecomp may sometimes fail
From: Glenn Morris <[email-masked]>
To: quiet <[email-masked]>
Date: Mon, 17 Aug 2009 21:52:58 -0400

Apparently, parallel byte-compilation may sometimes fail, if one
process tries to read an .elc file that another process is writing.

http://lists.gnu.org/archive/html/emacs-devel/2009-08/msg00294.html

Two solutions were suggested for this:

1) Prefer the .el files when byte-compiling. This is similar to a
feature that has been requested already (#2061), but using it in this
instance would change the way byte-compilation works (not that it
should have any measurable affect, other than a slowdown).

2) Write the .elc file to a temp file, then move it into position in a
single operation.